Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Interface ComponentEventResultProcessor<T>

Type Parameters:
  `T` -

All Known Implementing Classes:
  AjaxComponentInstanceEventResultProcessor, AjaxLinkComponentEventResultProcessor, AjaxPageClassComponentEventResultProcessor, AjaxPageNameComponentEventResultProcessor, ClassResultProcessor, ComponentInstanceResultProcessor, HttpErrorComponentEventResultProcessor, JSONArrayEventResultProcessor, JSONObjectEventResultProcessor, MultiZoneUpdateEventResultProcessor, ObjectComponentEventResultProcessor, PageNameComponentEventResultProcessor, RenderCommandComponentEventResultProcessor, StreamPageContentResultProcessor, StreamResponseResultProcessor

    @UsesMappedConfiguration(key=java.lang.Class.class,
                             value=ComponentEventResultProcessor.class)
    public interface ComponentEventResultProcessor<T>

Responsible for handling the return value provided by a component event handler method.

There are two services built into Tapestry that implement this interface: ComponentEventResultProcessor (used for ordinary page-oriented requests, and distinguished by the @`Traditional` and/or @`Primary` marker annotations) and AjaxComponentEventResultProcessor, used for Ajax requests (which typically return a partially rendered page), distinguished by the @`Ajax` marker annotation.

Method Summary
`void` | `processResultValue(T value)` For a given, non-null return value from a component event method, construct and send a response.

Method Detail

### processResultValue

    void processResultValue(T value)
                            throws java.io.IOException

  For a given, non-null return value from a component event method, construct and send a response.

  Parameters:
    `value` - the value returned from a method
  Throws:
    `java.lang.RuntimeException` - if the value can not handled
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.